## freeradius-0.9.0.tar.gz

=== raddb/Makefile ===
include ../Make.inc

#
#  The list of files to install.
#
FILES	= acct_users attrs clients clients.conf dictionary \
	  experimental.conf hints huntgroups ldap.attrmap \
	  mssql.conf naslist naspasswd oraclesql.conf postgresql.conf \
	  preproxy_users proxy.conf radiusd.conf realms snmp.conf \
	  sql.conf users x99.conf x99passwd.sample

all:

install:
	$(INSTALL) -d -m 755	$(R)$(raddbdir)
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	for i in $(FILES); do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "**";\
		echo "** The sample configuration files in `pwd`";\
		echo "** are newer than those in $(R)$(raddbdir)";\
		echo "**";\
		echo "** Please investigate and manually copy (if appropriate) the files listed above.";\
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
	fi
	chmod 640 $(R)$(raddbdir)/naspasswd $(R)$(raddbdir)/clients $(R)$(raddbdir)/clients.conf

clean:

=== debian/changelog ===
freeradius (0.9.0-1) unstable; urgency=low

  * New Upstream prerelease.
   - Upstream dictionary files are in /usr/share/freeradius.
   - Modified to 'configure{,.in}' to work with openssl 0.9.7 and 0.9.6
  * Renamed pacakges to 'freeradius*' from 'radiusd-freeradius*'.
  * Moved file hierarchy around to be neater:
   - /etc/raddb -> /etc/freeradius
   - /usr/share/doc/radiusd-freeradius -> /usr/share/doc/freeradius
   - /var/log/radiusd-freeradius -> /var/log/freeradius
   - /var/run/radiusd/radiusd.pid -> /var/run/freeradius/freeradius.pid
  * Included RFCs in documentation.
  * Enabled the daemon to run under user 'freerad:freerad' by default.
  * Added support for DEB_BUILD_OPTIONS for policy 3.5.9 compliance.
  * Installed SNMP mibs for Radius

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 20 Jul 2003 06:56:28 +1000

radiusd-freeradius (0.7+cvs20021113-1) unstable; urgency=low
 
  * Explicitly excluding modules not in the "stable" list.
  * Updated policy version number.
  * Moved from non-US/main to main.
  * Put pidfile in package's own directory.
  * Package not as buggy and unstable modules are easily identifiable. 
    (closes: Bug#142217)
  * Init script handles failure better. (closes: Bug#151264)
  * New upstream release.  (closes: Bug#140536)
  * Uses available version of postgresql.  (closes: Bug#139290)
  * Removed "conflicts" with other radiusds.
  * Added new build-dep on libtool.
  * Changed section to "net" from "admin".
  * New config.guess.  (closes: Bug#168647)
  * Run with freerad user and group.  (closes: Bug#168272)
  * Added libssl-dev as build-dep.  (closes: #131832)

 -- Chad Miller <cmiller@debian.org>  Wed, 13 Nov 2002 17:01:19 -0500

radiusd-freeradius (0.5+cvs20020408-1) unstable; urgency=high

  * New build-dep on libssl-dev, which is implied by another dep, but making 
    explicit for builders on Potato.  (closes: Bug#131832)
  * Built against new postgresql libraries, so automatic dep tracking has 
    the correct version, now.  (closes: Bug#139290)
  * Removed python example module.
  * Explicitly disabled beta ippool module.

 -- Chad Miller <cmiller@debian.org>  Mon,  8 Apr 2002 11:48:30 -0400

radiusd-freeradius (0.4-1) unstable; urgency=high

  * New release.
  * upstream: New EAP support.
  * upstream: Fixed security bug in string translation.

 -- Chad Miller <cmiller@debian.org>  Thu, 13 Dec 2001 09:26:45 -0500

radiusd-freeradius (0.3-2) unstable; urgency=low

  * Moved to using logrotate instead of cron for files.
  * Fixed permissions of log files. (closes: Bug#116242,#116243)
  * Close file descriptors of stdin, stdout, stderr, if not debugging.
    (closes: Bug#116768)
  * Made package "non-native".  (An upload issue, not code.)  
    (closes: Bug#119161)

 -- Chad Miller <cmiller@debian.org>  Tue, 20 Nov 2001 10:50:20 -0500

radiusd-freeradius (0.3-1) unstable; urgency=low

  * New release.

 -- Chad Miller <cmiller@debian.org>  Tue,  9 Oct 2001 18:16:23 -0400

radiusd-freeradius (0.2+20010917-1) unstable; urgency=low

  * Removed old mysql build-dep.  (closes: Bug#112541)

 -- Chad Miller <cmiller@debian.org>  Mon, 17 Sep 2001 11:38:24 -0400

radiusd-freeradius (0.2+20010912-1) unstable; urgency=low

  * Build-dep mysql changed package names.
  * Added build-dep for libmysqlclient10-dev.  (closes: Bug#111880)
  * In acct_users, keep reply pairs.
  * Integer values are printed as unsigned numbers, to comply with RFC2866.
  * Fixed broken/reversed auth comparisons in SQL module.
  * Sucked out CPPness from inside a printf, as printf is a macro in newer
    compilers (gcc3.0, e.g.).  (closes: Bug#100889)
  * Sundry LDAP configuration, unresponsive thread, and proxying fixes.
  * Added user 'freerad' into the 'shadow' group.
  * Fixed UUCP-style of restricting time of log-in.
  * Changed debugging messages to give more info about execution flow.
  * Better counter module.  
  * Inserted CHAP support for SQL modules.
  * Removed possible infinite loop.

 -- Chad Miller <cmiller@debian.org>  Wed, 12 Sep 2001 21:21:47 -0400

radiusd-freeradius (0.1+20010527-1) unstable; urgency=low

  * Updated config.{guess,sub} to recent versions.  (closes: Bug#98183)
  * Updated build-dep to reflect supercession of libltdl0-dev by libltdl3-dev
    (closes: Bug#98914)

 -- Chad Miller <cmiller@debian.org>  Sun, 27 May 2001 11:44:40 -0400

radiusd-freeradius (0.1+20010517-1) unstable; urgency=low

  * Moved package to non-US to allow in Kerberos and PostgreSQL.
  * Set Suggests of modules to main package.
  * Better compile-time support of *BSD.

 -- Chad Miller <cmiller@debian.org>  Thu, 17 May 2001 14:46:51 -0400

radiusd-freeradius (0.1-1) unstable; urgency=low

  * First beta release!
  * Added generalized SQL support for ODBC, Oracle, MySQL, and Postgres.
  * Added shasta, microsoft, and redback dictionaries.
  * Fixed rc.d restart rule.
  * Added a user to own the daemon and logfiles.
  * SQL DB handles more forgiving of unreachable servers at startup.
  * SQL Crypt-Password attribute support.
  * Fixed cron log rotation.
  * Put module libraries in own directory.
  * Removed bogus build-dep.  (closes: Bug#87277)
  * Better permissions on /etc/raddb
  * Use correct LDAP library.
  * Fork ldap, postgresql, and mysql modules into different packages.
  * Remove Kerberos, as it's restricted from export.

 -- Chad Miller <cmiller@debian.org>  Mon,  7 May 2001 16:37:46 -0400

radiusd-freeradius (0.0.20010109-1) unstable; urgency=low

  * Changed priority, from standard to optional.

 -- Chad Miller <cmiller@debian.org>  Tue,  9 Jan 2001 14:01:38 -0500

radiusd-freeradius (0.0.20001227-1) unstable; urgency=low

  * Initial revision. (closes: Bug#76476)

 -- Chad Miller <cmiller@debian.org>  Wed, 27 Dec 2000 11:58:56 -0500

=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 3.4.4), libltdl3-dev, libpam0g-dev, postgresql-dev, libmysqlclient10-dev | libmysqlclient-dev, libgdbm-dev | libgdbmg1-dev, libldap2-dev, libsasl2-dev, libsnmp4.2-dev, libiodbc2-dev, libkrb5-dev, libssl-dev, libtool, snmp, autoconf2.13, autotools-dev
Section: net
Priority: optional
Maintainer: Chad Miller <cmiller@debian.org>
Standards-Version: 3.5.9

Package: freeradius
Architecture: any
Depends: ${shlibs:Depends}
Provides: radius-server
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5
Conflicts: radiusd-freeradius, radiusd-freeradius-krb5, radiusd-freeradius-ldap, radiusd-freeradius-postgresql, radiusd-freeradius-mysql
Replaces: radiusd-freeradius
Description: a high-performance and highly configurable RADIUS server
 A high-performance RADIUS server derived from Cistron's server, and
 generally similar to Livingston's 2.0 server, with support for...
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: freeradius-krb5
Architecture: any
Conflicts: radiusd-freeradius-krb5
Replaces: radiusd-freeradius-krb5
Depends: freeradius, ${shlibs:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Conflicts: radiusd-freeradius-ldap
Replaces: radiusd-freeradius-ldap
Depends: freeradius, ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Conflicts: radiusd-freeradius-postgresql
Replaces: radiusd-freeradius-postgresql
Depends: freeradius, ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Conflicts: radiusd-freeradius-mysql
Replaces: radiusd-freeradius-mysql
Depends: freeradius, ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

SHELL		=/bin/bash

package		= freeradius
debiandir	= $(shell pwd)/debian
freeradius_dir	= $(debiandir)/$(package)

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.13 arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

build-simple stamp-build:
	dh_testdir
	# dh_testroot
	./configure \
		$(confflags) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--with-thread-pool --with-system-libtool \
		--enable-ltdl-install=no --enable-strict-dependencies \
		--enable-developer
	
	# Modify Make.inc for Debian...
	TEMPFILE=`mktemp /tmp/radmake-XXXXXX`; \
	cp Make.inc $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's!${localstatedir}/run/radiusd!${localstatedir}/run/freeradius!' \
			> Make.inc; \
	rm $$TEMPFILE

	make
	touch stamp-build

build: autotools build-simple

binary-indep: stamp-build

binary-arch: stamp-build
	dh_testroot
	dh_clean
	dh_installdirs
	make install R=$(freeradius_dir)

	# rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)

	# clean up install cruft.  $$&@!%
	rm $(freeradius_dir)/usr/sbin/rc.radiusd
	test ! -d $(freeradius_dir)/etc/raddb || rmdir $(freeradius_dir)/etc/raddb
	test ! -d $(freeradius_dir)/var/log/radius/radacct || rmdir $(freeradius_dir)/var/log/radius/radacct
	test ! -d $(freeradius_dir)/var/log/radius || rmdir $(freeradius_dir)/var/log/radius
#	Yuck! the makefile in doc/ does this.
	rm -rf $(freeradius_dir)/usr/share/doc/freeradius-0.9.0

	# split out inconvenient/controversal modules to other places
	for modname in krb5 ldap mysql postgresql; do \
		mkdir -p $(debiandir)/$(package)-$${modname}/$(libdir); \
		mv $(freeradius_dir)/$(libdir)/rlm*_$${modname}* $(debiandir)/$(package)-$${modname}/$(libdir)/; \
	done

	# man pages & docs
	install -g root -m 644 CREDITS $(freeradius_dir)/$(pkgdocdir)/credits
	dh_installdocs -XChangeLog -X00-OLD -XCVS -XMakefile doc/*
	dh_installdocs `find src/modules/rlm_sql/drivers -type f -name \*.sql`
	dh_installchangelogs doc/ChangeLog

	# SNMP mibs
	install -g root -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	# supporting programs
	install -g root -m 755 $(debiandir)/initscript $(freeradius_dir)/etc/init.d/$(package)
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(freeradius_dir)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
		| sed -e '/^	example {/,/^	}/s/^/#/' \
		| sed -e 's/#	shadow = /shadow = /' \
		| sed -e 's/^#\?group = nobody/group = freerad/' \
		| sed -e 's/^#\?user = nobody/user = freerad/' \
		| sed -e 's!/run/radiusd!/run/freeradius!' \
		| sed -e 's!radiusd.pid!freeradius.pid!' \
			> $(freeradius_dir)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n
	dh_shlibdeps
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb

clean:	
	dh_testdir
	rm -f stamp-build debian/{files,substvars} debian/*.debhelper
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(freeradius_dir) $(debiandir)/$(package)-{ldap,postgresql,mysql,krb5}{,.substvars}

binary: binary-indep binary-arch

# The autotools target adds forced build-time dependencies on
# autotools-dev (for /usr/share/misc/config.*)
# It's also a .PHONY make target.
autotools:
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

# for the maintainer only
sanitycheck:
	@echo -n "sanity: checking for overzealous undocumented file... "
	@find man/ -type f |grep \. |sed -e 's%man/man./%%' | { \
		while read manpage; do \
			grep $$manpage debian/$(package).undocumented | read filename && echo -n $$filename; \
		done; \
	} || true
	@test -n $$filename
	@echo good.

.PHONY: binary binary-arch binary-indep clean sanitycheck autotools
